#ifndef SCREENDATA_H
#define SCREENDATA_H

#include <Qt>
#include <QString>
#include "a2BcConstants.h"

class screenData
{
public:
    screenData();
    virtual ~screenData() {};

public:
	QString getBbsTableUrl(void);
	void setBbsTableUrl(const QString &arUrl);

	QString getBbsTableFileName(void);
	void setBbsTableFileName(const QString &arFileName);

	Qt::CheckState getUpdateSubjectTxt(void);
	void setUpdateSubjectTxt(Qt::CheckState yesNo);

	Qt::CheckState getUpdateOnlyFavorites(void);
	void setUpdateOnlyFavorites(Qt::CheckState yesNo);

	Qt::CheckState getAddThreadToIndex(void);
	void setAddThreadToIndex(Qt::CheckState yesNo);

	Qt::CheckState getAddTheradToSubjectTxt(void);
	void setAddTheradToSubjectTxt(Qt::CheckState yesNo);

    Qt::CheckState getDisableGetPart(void);
    void setDisableGetPart(Qt::CheckState yesNo);

    Qt::CheckState getRemoveErrorMessage(void);
    void setRemoveErrorMessage(Qt::CheckState yesNo);

	int getReceiveInterval(void);
	void setReceiveInterval(int interval);

private:
	QString           bbsTableUrl;
	QString           bbsTableFileName;
	Qt::CheckState    updateSubjectTxt;
	Qt::CheckState    updateOnlyFavorites;
	Qt::CheckState    addThreadToIndex;
	Qt::CheckState    addTheradToSubjectTxt;
    Qt::CheckState    disableGetPart;
    Qt::CheckState    removeErrorThreadMessage;
	int               getInterval;
};

#endif
/*
 *  a2BC : a2B Connectivity
 *  Copyright (C) 2006- NNsi Project
 *  (see a2BC-src.txt for detail.)
 */
